跳转到主要内容
POST
/
v1
/
chat
/
completions
对话补全
curl --request POST \
  --url https://www.anyfast.ai/v1/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "claude-sonnet-4-6",
  "messages": [
    {
      "role": "user",
      "content": "你好!"
    }
  ],
  "max_tokens": 2,
  "temperature": 1,
  "top_p": 0.5,
  "frequency_penalty": 0,
  "presence_penalty": 0,
  "stream": false,
  "stop": "<string>",
  "n": 1,
  "response_format": {},
  "tools": [
    {}
  ],
  "tool_choice": "<string>",
  "user": "<string>"
}
'
import requests

url = "https://www.anyfast.ai/v1/chat/completions"

payload = {
    "model": "claude-sonnet-4-6",
    "messages": [
        {
            "role": "user",
            "content": "你好!"
        }
    ],
    "max_tokens": 2,
    "temperature": 1,
    "top_p": 0.5,
    "frequency_penalty": 0,
    "presence_penalty": 0,
    "stream": False,
    "stop": "<string>",
    "n": 1,
    "response_format": {},
    "tools": [{}],
    "tool_choice": "<string>",
    "user": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    model: 'claude-sonnet-4-6',
    messages: [{role: 'user', content: '你好!'}],
    max_tokens: 2,
    temperature: 1,
    top_p: 0.5,
    frequency_penalty: 0,
    presence_penalty: 0,
    stream: false,
    stop: '<string>',
    n: 1,
    response_format: {},
    tools: [{}],
    tool_choice: '<string>',
    user: '<string>'
  })
};

fetch('https://www.anyfast.ai/v1/chat/completions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 123,
  "model": "claude-sonnet-4-6",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "assistant",
        "content": "你好!有什么我可以帮助你的吗?"
      }
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
enum<string>
必填

用于补全的模型 ID。

可用选项:
claude-sonnet-4-6,
claude-sonnet-4-5-20250929,
claude-sonnet-4-20250514,
claude-opus-4-6,
claude-opus-4-5-20251101,
claude-opus-4-1-20250805,
claude-opus-4-20250514,
claude-haiku-4-5-20251001,
claude-3-7-sonnet-20250219,
claude-3-5-sonnet-20241022,
gpt-5-4,
gpt-5-3-codex,
gpt-5-2,
gpt-5-2-chat,
gpt-5-2-chat-latest,
gpt-5-2-codex,
gpt-5-1,
gpt-5-1-chat,
gpt-5-1-chat-latest,
gpt-5-1-codex-mini,
gpt-5,
gpt-5-chat-latest,
gpt-5-pro,
gpt-5-codex,
gpt-5-codex-high,
gpt-5-codex-low,
gpt-5-mini,
gpt-5-nano,
gpt-4o,
gpt-4o-mini,
gpt-4-1,
gpt-4,
deepseek-v3-2-speciale,
deepseek-v3-2,
deepseek-v3-2-exp,
deepseek-v3-2-251201,
deepseek-v3-1-terminus,
deepseek-v3-1,
deepseek-v3,
qwen3.5-397b-a17b,
qwen3-coder-next,
qwen3-coder,
qwen3-235b-a22b,
qwen3-32b,
qwen3-14b,
qwen2.5-72b-instruct,
doubao-seed-2.0-pro,
doubao-seed-2.0-code,
doubao-seed-2.0-lite,
doubao-seed-2.0-mini,
doubao-seed-1-8-251228,
doubao-seed-1-6-flash-250828,
doubao-seed-1-6-251015,
doubao-seed-1-6-lite-251015,
doubao-seed-1-6-vision-250815,
minimax-m2.5,
minimax-m2.1,
kimi-k2.5,
grok-3,
grok-3-mini,
grok-4-fast-reasoning,
grok-4-fast-non-reasoning,
grok-4-1-fast-reasoning,
grok-4-1-fast-non-reasoning,
gemini-3.1-pro-preview,
gemini-3.1-flash-image-preview,
gemini-3-pro-preview,
gemini-3-flash-preview,
gemini-2.5-pro,
gemini-2.5-flash,
gemini-2.0-flash,
glm-4.7
示例:

"claude-sonnet-4-6"

messages
object[]
必填

组成当前对话的消息列表。

Minimum array length: 1
示例:
[{ "role": "user", "content": "你好!" }]
max_tokens
integer

对话补全中生成的最大 token 数。

必填范围: x >= 1
temperature
number
默认值:1

采样温度,范围 0 到 2。值越高输出越随机,值越低越确定。

必填范围: 0 <= x <= 2
示例:

1

top_p
number

核采样阈值,作为温度的替代方案。

必填范围: 0 <= x <= 1
frequency_penalty
number
默认值:0

根据新 token 在文本中的现有频率进行惩罚。

必填范围: -2 <= x <= 2
presence_penalty
number
默认值:0

根据新 token 是否已出现在文本中进行惩罚。

必填范围: -2 <= x <= 2
stream
boolean
默认值:false

如果为 true,将通过服务器发送事件 (SSE) 流式发送部分消息。

stop

最多 4 个序列,API 将在生成这些序列时停止继续生成。

n
integer
默认值:1

为每条输入消息生成多少个补全选项。

必填范围: x >= 1
response_format
object

指定模型必须输出的格式。设置为 {"type": "json_object"} 可启用 JSON 模式。

tools
object[]

模型可调用的工具列表。目前仅支持函数作为工具。

tool_choice

控制模型调用哪个(如果有的话)工具。

user
string

代表最终用户的唯一标识符。

响应

补全生成成功

id
string
必填
示例:

"chatcmpl-abc123"

object
string
必填
示例:

"chat.completion"

created
integer
必填

补全创建时的 Unix 时间戳。

model
string
必填
示例:

"claude-sonnet-4-6"

choices
object[]
必填
usage
object